Page MenuHomePhabricator

RCFilters UI: When removing a capsule item, its popup remains visible
Closed, ResolvedPublic

Description

If we remove a capsule item, the fact we're hovering over it makes the popup appear - and yet it doesn't go away when we click the 'x' button of the capsule.

To reproduce:

  1. Go to Special:RecentChanges, choose a couple of filters to appear in the capsule
  2. Remove one filter from the capsule, by clicking its "x" button (note - the popup appears as you hover)
  3. The popup should go away when the capsule item vanishes

Event Timeline

Mooeypoo created this task.Feb 11 2017, 1:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2017, 1:31 AM

Change 337208 had a related patch set uploaded (by Mooeypoo):
RCFilters UI: Destroy CapsuleItemWidget when it is removed

https://gerrit.wikimedia.org/r/337208

Change 337208 merged by jenkins-bot:
RCFilters UI: Destroy CapsuleItemWidget when it is removed

https://gerrit.wikimedia.org/r/337208

Etonkovidova added a subscriber: Etonkovidova.EditedFeb 14 2017, 9:41 PM

Checked in betalabs - all the cases below have been fixed.

QA recommendation: Resolve.

Before behavior:
"Sticky" tooltips

When the page is scrolled up:

@Mooeypoo Every time I click on selected filter with a tooltip dispalyed, I got the Console errors (look below). It doesn't seem to be affecting anything - any concerns about it?

Uncaught TypeError: Cannot read property 'val' of null(…)
OO.ui.CapsuleMultiselectWidget.editItem
OO.ui.CapsuleItemWidget.onClick
dispatch
elemData.handle

With filters "Newcomers", "Unregistered" (conflicting state), the click on selected greyed-out filters gives

Uncaught TypeError: Cannot read property 'val' of null
 at MwRcfiltersUiFilterCapsuleMultiselectWidget.OO.ui.CapsuleMultiselectWidget.editItem (eval at <anonymous>
 at MwRcfiltersUiCapsuleItemWidget.OO.ui.CapsuleItemWidget.onClick (eval at <anonymous> 
 at HTMLDivElement.dispatch
 at HTMLDivElement.elemData.handle

Split the Uncaught TypeError stuff into a separate ticket - T158368 for better prioritization.

jmatazzoni closed this task as Resolved.Feb 17 2017, 7:27 PM